#     -*- mode: makefile -*-

#     GIFT, a flexible content based image retrieval system.
#     Copyright (C) 1998, 1999, 2000 CUI, University of Geneva

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#
#Makefile for the inverted File library
#

CCCONFIG=sed "s:__PERL_LOCATION__:@PERL@:g;s:__BINDIR__:@bindir@:g;s:__DATADIR__:@datadir@:g" < $< > $@

noinst_LIBRARIES= libInvertedFile.a

#
# The trick here is: do not compile c code with the -D bool=char define.
#-rdynamic
INCLUDES= -DHAS_BOOL -I$(top_srcdir)/libUnpublished/include -I$(top_srcdir)/libInvertedFile/include -I$(top_srcdir)/libBayesian/include -I$(top_srcdir)/expat/xmlparse -I$(top_srcdir)/expat/xmltok 
# ex `echo \`perl -MExtUtils::Embed -e ccopts \`|sed 's:-Dbool=char::'`
#-I/usr/local/include  -I/usr/lib/perl5/5.00503/i586-linux/CORE 


CAcIFFileSystem.cc: CAcIFFileSystem.pre-cc
	$(CCCONFIG)

libInvertedFile_a_SOURCES= \
	CAccessorElement.cc\
	\
	CAccessor.cc\
	CAccessorImplementation.cc\
	CAcURL2FTS.cc\
	CAcHierarchy.cc\
	CAcIFFileSystem.cc\
	CAcPerl.cc\
        CAcIFMySQL.cc\
	@CA_X_DISTANCEMATRIX@ \
	\
	CAccessorFactoryContainer.cc\
	CAccessorFactory.cc\
	CAFURL2FTS.cc\
	CAFHierarchy.cc \
	CAFPerl.cc\
	CAFIFMySQL.cc\
	CAFInvertedFile.cc\
	\
	CIFBuilderTriplet.cc\
	CDocumentFrequencyElement.cc \
	CDocumentFrequencyList.cc \
	\
	CRelevanceLevel.cc \
	CRelevanceLevelList.cc \
	\
	CIDRelevanceLevelPair.cc \
	CIDRelevanceLevelPairList.cc \
	\
	CIFListStart.cc \
	CInvertedFileChunk.cc \
	\
	CAdditionalDocumentInformation.cc \
	\
	CWeightingFunction.cc \
	CWFBestFullyWeighted.cc \
	CWFBestProbabilistic.cc \
	CWFClassicalIDF.cc \
	CWFBinaryTerm.cc \
	CWFStandardTF.cc \
	CWFCoordinationLevel.cc \
	CWFProbability.cc \
	\
	CWeighter.cc\
	\
	CWeightingFunctionPointerHash.cc \
	CScoreBoard.cc \
	\
	CQueryNormalizer.cc \
	CQNNoNormalization.cc \
	CQNMaxDocumentFrequency.cc \
	CQNEuclideanLengthSquare.cc \
	CQNSquareDFLogICFSum.cc \
	\
	CAccessorProxy.cc \
	CAccessorCollection.cc \
	CPropertySheetList.cc \
	CSessionManager.cc \
	\
	CAlgorithmCollection.cc \
	CBaseTypeFactory.cc\
	\
	GIFTExceptions.cc \
	\
	CAttributeList.cc \
	CXMLHelper.cc \
	CXMLElement.cc \
	\
	CAlgorithm.cc \
	\
	CQueryTreeNode.cc\
	CQueryTreeBuilder.cc\
	\
	CQuery.cc \
	CQInvertedFile.cc \
	CQMultiple.cc \
	CQHierarchy.cc \
	CQPerl.cc\
	\
	CMagic.cc\
	\
	CQueryParadigmMatcher.cc\
	\
	mrml_const.cc\
	\
	CXMLElementVisitor.cc\
	CXEVCommunication.cc\
	CXEVTripletList.cc\
	\
	CXMLTriplet.cc\
	xs_init.cc

#later
#	CQParallel.cc \

CLEANFILES=CAcIFFileSystem.cc